Bug 868944 - [TCMS] - Test Run - Cannot sort cases according to a specific column
[TCMS] - Test Run - Cannot sort cases according to a specific column
Status: NEW
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 10:12 EDT by David Botzer
Modified: 2016-06-23 00:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sortBy-summary (81.73 KB, image/png)
2012-10-31 06:20 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-10-22 10:12:11 EDT
Description of problem:
I created a 170 cases TestRun from different Plans,
And I Cannot sort the cases according to a specific column (Summary)

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Create several Test Plans
2.Export the cases from each Plan to an XML File
3.Import the XMLs to a new created Test Run
  
Actual results:
Cannot sort cases according to a specific column
Re-order allows only changing rows order

Expected results:
Should allow one click on the column header in order to sort accordingly

Additional info:
Comment 1 yawei Li 2012-10-30 05:35:17 EDT
In cases tab on test plan page, the test cases list can be sorted by column headers. 
Would you please provide an example? which page you want to sort the test case by column headers?
Comment 2 David Botzer 2012-10-31 06:19:32 EDT
The Order By & Done Sorting only allows moving specific rows,

I would like to sort all my cases By "Summary" Column
This way all my cases are sorted by their name - which refers to TestPlan+CaseName
Comment 3 David Botzer 2012-10-31 06:20:04 EDT
Created attachment 635995 [details]
sortBy-summary
Comment 4 yawei Li 2012-11-05 03:26:17 EST
oh, you want to sort the test case run by "summary". 
will be implemented in next release.

Note You need to log in before you can comment on or make changes to this bug.